/*
 * main.c initial gnr par Glade. Editer ce fichier  votre
 * convenance. Glade n'crira plus dans ce fichier.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "gtailsrc.h"
#include "support.h"

#include "file.h"
#include "session.h"
#include "option.h"

extern GtkWidget * topgtail;
extern void AddNoteBookPage(GtkNotebook *, char *, int);

int
main (int argc, char *argv[])
{
  int i;
  GtkWidget *gtail, *notebook;

#ifdef MEMWATCH
  mwInit();
#endif

#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  topgtail = gtail = create_gtail ();
  gtk_widget_show (gtail);

  load_options();

  notebook = lookup_widget(gtail, "NoteBook");
  if (argc > 1)
  {
    for(i = 1; i < argc; i++)
    {
      if (argv[i][0] == options[which_opt].character_for_pipe)
	AddNoteBookPage(GTK_NOTEBOOK(notebook), &(argv[i][1]), 1);
      else
	AddNoteBookPage(GTK_NOTEBOOK(notebook), argv[i], 0);
    }
  }
  else
  {
    switch (options[which_opt].load_session)
    {
    case TSASK: /* open a dialog TODO */
    case TSAUTO:
      load_session();
      break;
    case TSNO:
      break;
    }
  }

  gtk_main ();

  switch (options[which_opt].save_session)
  {
  case TSASK: /* open a dialog TODO */
  case TSAUTO:
    save_session();
    break;
  case TSNO:
    break;
  }

  xfi_free();
#ifdef MEMWATCH
  mwTerm();
#endif  
  return 0;
}

